<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Problem Number43</title>
</head>

<body>
	
	<h2> JavaScript Excercise</h2>
	
	<p> <b> No.43:</b> Write a JavaScript program to check from three given numbers (non negative integers) that two or all of them have the same rightmost digit.  </p>
	
	<p> <b> Solution :</b></p>
	
	<div style="border: 1px dashed black; padding: 20px; width: 425px; height: auto;">
	  <input type="number" id="num1" placeholder="Enter First Number"><br>
	  <input type="number" id="num2" placeholder="Enter Second Number" style="margin-top: 5px;"><br>
	  <input type="number" id="num3" placeholder="Enter Third Number" style="margin-top: 5px;"><br>
	  <input type="button" onClick="generate()" name="gen" value="Generate!" style="margin-top: 5px;">
	  <pre id="demo"></pre>
	</div>
	
	<script>
	  function generate(){
		  var a = + document.getElementById('num1').value;
		  var b = + document.getElementById('num2').value;
		  var c = + document.getElementById('num3').value;
		  var l1 = + a.toString().charAt(a.length - 1);
		  var l2 = + b.toString().charAt(b.length - 1);
		  var l3 = + c.toString().charAt(c.length - 1);
		  
		  if ( a > 0 && b > 0 && c > 0) {
		  if ( l1 == l2 || l1 == l3 || l3 == l2) {
			  document.getElementById('demo').innerHTML=
				  "At least two of numbers have the same rightmost digit";
		  } else {
			  document.getElementById('demo').innerHTML=
				  "There`s no match";
			  }
	  }
		  else {
		  document.getElementById('demo').innerHTML=
			  "You Dont Choose The Right Number";
	  }
	  }
	</script>
	
</body>
</html>
